# Read a program by id or name

GET /v1/programs/{id}: Read a program by id or name

```http
GET /v1/programs/{id}
```

|  |  |
|---|---|
| Operation id | `getProgram` |
| Key scope | `read`: every key |
| Section | [Programs](https://docs.kaab.ist/reference/api#programs) |

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string | yes | min length 1 |

## Example request

```bash
curl -X GET "https://api.kaab.ist/v1/programs/{id}" \
  -H "Authorization: Bearer $KAAB_API_KEY"
```

## Responses

### 200

Program

[Program](https://docs.kaab.ist/reference/api/schemas/program)

```json
{
  "id": "prg_01j9zqk3q7m4n5p6r7s8t9v0wx",
  "object": "program",
  "name": "acme-report",
  "description": "Daily report export",
  "latest_version": 3,
  "aliases": {
    "latest": 3,
    "production": 2
  },
  "canary": {
    "enabled": true,
    "cron": "0 */6 * * *",
    "url": null
  },
  "created_at": "2026-09-18T10:00:00Z",
  "updated_at": "2026-09-18T10:00:00Z"
}
```

## Errors

Every error answers with the [error envelope](https://docs.kaab.ist/reference/api/schemas/error-response); its `code` is one of the [error codes](https://docs.kaab.ist/reference/codes#errors).

| Status | When |
|---|---|
| 400 | `request_invalid`: request validation failed |
| 401 | Missing or invalid API key |
| 403 | The key's scope does not cover this operation |
| 404 | Resource not found |
| 429 | Rate limited; see `Retry-After` |
| 500 | `internal`: unexpected server error |
